/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"gbgraph.h"


I_RECT
xl_to_i_rect(XL_SEXP * s)
{
I_RECT r;
XL_SEXP * tl_x,* tl_y;
XL_SEXP * br_x,* br_y;
	tl_x = get_el(get_el(s,0),0);
	tl_y = get_el(get_el(s,0),1);
	br_x = get_el(get_el(s,1),0);
	br_y = get_el(get_el(s,1),1);
	r.tl.x = tl_x->integer.data;
	r.tl.y = tl_y->integer.data;
	r.br.x = br_x->integer.data;
	r.br.y = br_y->integer.data;
	return r;
}
